#include <stdio.h>
#include <stdlib.h>
#include <fcntl.h>
#include <unistd.h>

static const int kDefaultPermissions = 0644; // number equivalent of "rw-r--r--"

// takes in a file name as argument and redirects STDOUT there!
int main(int argc, char *argv[])
{

    if( argc != 2) return EXIT_FAILURE;

    printf("My last print to the terminal...\n");
    close(STDOUT_FILENO);
    
    char *file_name = argv[1];

    int new_fd = open(file_name, O_WRONLY);

    printf("Man, I wonder where this will end up....\n");
    printf("Oh, btw my new_fd number is %d.\n", new_fd);
    close(new_fd);
    return EXIT_SUCCESS;
}

