#include <unistd.h>
#include <stdlib.h>
#include <stdio.h>
#include <string.h>

static char *message = "Hello!\n";
static char *p_message = "Bye!\n";

int main(){

    int pipe_fds[2];
    pipe(pipe_fds);

    pid_t pid = fork();
    if(pid == 0){
        
        close(pipe_fds[0]); //which side of the pipe is this?
        write(pipe_fds[1], message, strlen(message) + 1);

        char str[strlen(message) + 1];
        ssize_t chars_read = read(pipe_fds[1], message, sizeof(str));
        if(chars_read != -1){
            printf("%s", str);
        }
        return EXIT_SUCCESS;
    }

    close(pipe_fds[1]); //which side of the pipe is this?

    char str[strlen(message) + 1];
    ssize_t chars_read = read(pipe_fds[0], str, sizeof(str));
    if(chars_read != -1){
        printf("%s", str);
    }

    write(pipe_fds[0], p_message, strlen(p_message) + 1);

    return EXIT_SUCCESS;
}


